Using old Cubase-only VST/VSTi 32-bit plugins possible?

Interested in Cubase Pro 9, Cubase Artist 9 or Cubase Elements 9? Having questions regarding the update or upgrade to the latest version? Please post here!
Locked
Seoman303
New Member
Posts: 9
Joined: Mon Jan 10, 2011 10:01 am
Contact:

Using old Cubase-only VST/VSTi 32-bit plugins possible?

Post by Seoman303 » Mon Dec 12, 2016 10:22 am

Hello,

the old 32-bit bridge for VST-plugins has been removed. I am already using jBridge but this only works for VST-plugins that are 'not' limited to be used in Cubase only.

I am aware that there are plenty of options coming along with Cubase, but I still have older projects that use those old VST-instruments (Monologue, Embracer and even the A1) and some of the effects (which can be replaced far more easily then the instruments). As far as I have noticed these plugins can not be bridged by jBridge as they can only be hosted by Cubase directly.

My question is: Has the support of those plugins been removed completely? Does this mean I have to convert those projects manually to replace the old plugins by something 64bit or jBridge compatible?

Thank you in advance

msy
Member
Posts: 312
Joined: Wed Dec 15, 2010 11:37 pm
Location: Sweden
Contact:

Re: Using old Cubase-only VST/VSTi 32-bit plugins possible?

Post by msy » Mon Dec 12, 2016 2:28 pm

No, it is not possible, since Steinberg apparently decided to use their own "proprietary methods outside the VST specification".
So they won't work even with jBridge (which ironically works fine with ALL other plugins, but not Steinbergs). :roll:

Image


(However, it would be easy for Steinberg to remove the checker from those plugins. It can be done even without recompiling the source code.)
Attachments
cubase9_legacy_vst_plugins.jpg
(24.4 KiB) Not downloaded yet
Cubase Pro 9.5.41 on Windows 7 using jBridge for 32bit plugins
HALion 6.2
Soundcard: RME Digiface USB with ADA8200
DAW: Intel Core i7 3820 |
ASRock X79 Extreme4 | 6GB DDR3 1600MHz | Samsung EVO SSD 250GB | 2x2TB SATA2 | Geforce 560Ti
Computer related hardware: Access Virus TI, UAD-2 Duo, Behringer BCF2000 (MCU), Nord Lead 4, Eurorack (12U) via ES3/ADAT

Seoman303
New Member
Posts: 9
Joined: Mon Jan 10, 2011 10:01 am
Contact:

Re: Using old Cubase-only VST/VSTi 32-bit plugins possible?

Post by Seoman303 » Tue Dec 13, 2016 2:19 pm

That's a pity. Thanks for the reply anyway.

Locked

Return to “Presales”

Who is online

Users browsing this forum: No registered users and 1 guest